### Method

# Secret Service delete_item_dbus_path

#### Declaration [src]

    void
    secret_service_delete_item_dbus_path (
      SecretService* self,
      const gchar* item_path,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Delete a secret item from the secret service.

The item is represented by its D-Bus object path. If you already have a `SecretItem` proxy objects, use use `secret_item_delete()` instead.

This method will return immediately and complete asynchronously.

Stability: Unstable

This method completes asynchronously. Use `secret_service_delete_item_dbus_path_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

This method is not directly available to language bindings.

#### Parameters

`item_path`

  Type: `const gchar*`

  The D-Bus path of item to delete.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.